Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		SDL_console
Version:	2.1
Release:	5
Provides:	%{name}
License:	GNU/GPL 
URL:		http://sdlconsole.sourceforge.net/wiki/
Group:		System/Libraries
Source0:	sdlconsole-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Text console for SDL.
Requires:	SDL SDL_image
BuildRequires:	SDL-devel SDL_image-devel

%description
SDL_Console is a drop down console that can be easily added to any SDL application.
It is similar to Quake and other games consoles. A console gives you the ability
to interact with your program in an easy way by executing predefined commands.
You can also have more than one console at a time.
For more details see: http://sdlconsole.sourceforge.net/wiki/

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n sdlconsole-%{version}

%build
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1-5
- rebuilt against SDL 1.2.13
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1-4
- rebuilt against SDL 1.2.11
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1-3
- rebuilt against SDL 1.2.10
* Sun Nov 27 2005 Christian Wasem <wasem@ccux-linux.de> 2.1-2
- rebuilt for SourceRPM
